<div id="comments">
<?php if ( post_password_required() ): ?>
<p class="nopassword"><?php _e( '密码保护，请输入密码查看评论.', 'keepminsm' ); ?></p>
</div>
<?php return; endif;
if ( have_comments() ) :
echo '<div class="entry-icon"></div>';
if ( ! empty($comments_by_type['comment']) ):?>
<h3 class="comments-title">
<?php comments_number(__('0 评论', 'keepminsm'), __('1 评论', 'keepminsm'), __('% 评论', 'keepminsm')); ?>
</h3>
<ol class="commentlist">
<?php wp_list_comments( 'type=comment&avatar_size=0' ); ?>
</ol>
<?php endif;
if ( ! empty($comments_by_type['pings']) ) : // if there are pings ?>
<h3 class="pings-title"><?php _e('引用此文章', 'keepminsm') ?></h3>
<ol class="pinglist">
<?php wp_list_comments( 'type=pings&avatar_size=0' ); ?>
</ol>
<?php endif;
if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
<div class="comment-navigation">
<div class="nav-previous"><?php previous_comments_link(); ?></div>
<div class="nav-next"><?php next_comments_link(); ?></div>
</div>
<?php endif;
elseif ( ! comments_open() && have_comments() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
<p class="nocomments"><?php _e('评论被关闭.', 'keepminsm') ?></p>
<?php endif;
if ( comments_open() ) : ?>
<div class="respond">
<?php 
$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );
$fields = array(
'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="2" aria-required="true"></textarea></p>', 'must_log_in' => '<p class="must-log-in">' . sprintf( __( '你需要 <a href="%s">登录</a> 以发表评论', 'keepminsm' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>','logged_in_as' => '<p class="logged-in-as">' . sprintf( __( '身份 <a href="%1$s">%2$s</a>. <a href="%3$s" title="登出">注销 &raquo;</a>', 'keepminsm' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
'comment_notes_before' => '',
'comment_notes_after' => '',
'title_reply' => __('评论', 'keepminsm'),
'title_reply_to' => __('回复 %s', 'keepminsm'),
'cancel_reply_link' => __('取消回复', 'keepminsm'),
'label_submit' => __('发布评论', 'keepminsm'),
'comment_field' => '<p class="comment-form-comment"><label for="comment">' .  __( '评论', 'keepminsm' ) . ' <span class="required">*</span></label><textarea id="comment" name="comment" cols="45" rows="2" aria-required="true"></textarea></p>',
'fields' => apply_filters( 'comment_form_default_fields', array(
'author' =>' <p class="comment-form-author">' .
'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
'" size="40" placeholder="昵称 Name"' . $aria_req . ' /></p>',
'email' => '<p class="comment-form-email">'.
'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
'" size="40" placeholder="电邮 Email"' . $aria_req . ' /></p>',
'url' => '<p class="comment-form-url">' .
'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
'" size="40" placeholder="网站 Website"/></p>'
))
);
comment_form($fields); ?>
</div>
<?php endif; ?>
</div>