<?php get_header(); ?>
<div class="post rounded-corners-8px">
<?php if(have_posts()) : ?>
<?php while(have_posts()) : the_post(); ?>
<div class="avatar"><img src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/avatar.jpg" width="40" height="40"></div>
<div class="date-author-wrap"><div class="author"><?php the_author();?></div><div class="date"><?php if ( function_exists('time_since') ) { echo time_since(abs(strtotime($post->post_date_gmt . "GMT")), time()); } ?></div></div>
<div class="content"><?php the_content() ?><?php tags_with_count( '', '#', ' #', ' ' ); ?></div>
<?php $address = get_post_meta($post->ID, 'geo_address', true); $venue = get_post_meta($post->ID, 'geo_venue', true); if ($address) {echo "<div class='geolocation'><span class='venue'>$venue</span>$address</div>";} ?>
</div><div class="post-navigation nav-bottom"><div class="post-nav-fwd"><?php next_post_link( '<span class="nav-fwd ajax-link">%link</span>', '&nbsp;' ); ?></div>
<div class="post-nav-middle"><a class="iconfont" href="<?php echo esc_url( site_url() ); ?>">&#xe600</a></div>
<div class="post-nav-back"><?php previous_post_link( '<span class="nav-back ajax-link">%link</span>', '&nbsp;' ); ?></div></div>
<?php comments_template('', true); ?>
<?php endwhile; ?>
<?php endif; ?>
<?php get_footer(); ?>