<?php
/**
* Template Name: Full Editor Template
* Description: A Page Template front-end editing posting
*
*/
 
get_header(); ?>
<div id="primary">
<div id="content" role="main">
<?php 
if( 'POST' == $_SERVER['REQUEST_METHOD'] && !empty( $_POST['action'] ) && $_POST['action'] == 'post' && current_user_can( 'publish_posts' ) ) {
check_admin_referer( 'new-post' );
$user_id		= $current_user->user_id;
$post_content	= $_POST['imagepost'];
$tags			= $_POST['tags'];
$post_id = wp_insert_post( array(
	'post_author'	=> $user_id,
	'post_title'	=> wp_strip_all_tags($post_content),
	'post_content'	=> $post_content,
	'tags_input'	=> strip_tags($tags),
	'post_status'	=> 'draft'
) );
set_post_format( $post_id , 'status' );
wp_update_post(array(
			'ID' => $post_id,
			'post_status' => 'publish',
		));
unset($_POST);
echo "<meta http-equiv='refresh' content='0;url=$location' />";
}
?>

<form id="new_post" name="new_post" method="post" action="<?php echo home_url( '/' );  ?>?page_id=<?php the_id(); ?>">
<input type="hidden" name="action" value="post" />
    <?php 
	wp_editor( '', 'imagepost', array(
	'media_buttons' => true,
			'wpautop' => true,
			'textarea_rows' => 3,
			'textarea_name' => 'imagepost',
			'tinymce' => array(
					'plugins' => '',
					'toolbar1' => 'undo,redo',
					'toolbar2' => ''
                     ),
			'quicktags' => array(
					'buttons' => 'link,img'
					)
			)
          );
    ?>
<input id="tags" type="text" placeholder="#" autocomplete="off" name="tags" class="tagfull">
<p class="meta-options">
<a href="<?php echo wp_logout_url( home_url() ); ?>" class="logoutc"><span class="logout-icon iconfont">&#xe003</span></a>
<input id="submit" class="updateinput" type="submit" value="Send" />
</p>
<?php wp_nonce_field( 'new-post' ); ?>
</form>

</div>
</div>
<?php wp_footer();?>

<?php get_footer(); ?>