<?php
/*
Template Name: Statistics
*/
global $wpdb;
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
<meta content="webkit|ie-comp|ie-stand" name="renderer">
<meta content="no-siteapp" http-equiv="Cache-Control">
<meta content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no" name="viewport">
<meta name="description" content="<?php bloginfo( 'description' ); ?>" /> 
<meta name="keywords" content="<?php keywords();?>" />
<meta content="index,follow" name="robots">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<style type="text/css">
a{color: #777;line-height: 30px;text-decoration: none}body{font-family:"Helvetica",Helvetica,Geneva,Arial,sans-serif;padding:10px;background-color:#ecf0f1;color:#999;text-align:center}.iconfont.logo{font-size:30px}.title{display: inline;padding-left: 10px}.col_half{width:49%}.col_third{width:32%}.col_fourth{width:100%}.col_fifth{width:18.4%}.col_sixth{width:15%}.col_three_fourth{width:74.5%}.col_twothird{width:66%}.col_half,.col_third,.col_twothird,.col_fourth,.col_three_fourth,.col_fifth{position:relative;margin-right:2%;margin-bottom:20px}.end{margin-right:0!important}.wrapper{width:100%;margin:30px auto;position:relative}.counter{background-color:#fff;box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.05);padding:20px 0;border-radius:5px}.count-title{font-size:40px;font-weight:normal;margin-top:10px;margin-bottom:0;text-align:center}.count-text{font-size:13px;font-weight:normal;margin-top:10px;margin-bottom:0;text-align:center}hr{border: medium none;clear: both;padding: 10px 0;}.full{list-style: outside none none;padding:40px;text-align:left}.subtitle{font-weight:lighter}.full li{overflow:hidden;padding-top:40px;text-overflow: ellipsis}
@font-face{font-family:'iconfont';src:url('https://www.tcd88.com/wp-content/themes/keep-minutes-2/iconfont/iconfont.eot');src:url('https://www.tcd88.com/wp-content/themes/keep-minutes-2/iconfont/iconfont.eot?#iefix') format('embedded-opentype'),url('https://www.tcd88.com/wp-content/themes/keep-minutes-2/iconfont/iconfont.woff') format('woff'),url('https://www.tcd88.com/wp-content/themes/keep-minutes-2/iconfont/iconfont.ttf') format('truetype'),url('https://www.tcd88.com/wp-content/themes/keep-minutes-2/iconfont/iconfont.svg#iconfont') format('svg')}
.iconfont{color:#4ad1e5;font-family:"iconfont"!important;font-size:36px;font-style:normal;-webkit-font-smoothing:antialiased;-webkit-text-stroke-width:.2px;-moz-osx-font-smoothing:grayscale}
</style>
</head>
<body>
<i class="iconfont logo">&#xe621;</i><p class="title">KEEP MINUTES | 时光捕手</p>
<p class="subtitle">Yesterday is gone. Tomorrow has not yet come. We have only today. Let us begin.</p>
<div class="wrapper">
    <div class="counter col_fourth">
      <i class="iconfont">&#xe600;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php $count_posts = wp_count_posts(); echo $published_posts = $count_posts->publish; ?>" data-speed="1000"></h2>
       <p class="count-text ">篇微博</p>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe607;</i>
      <h2 class="count-title" id="count-number"><?php get_totalviews(true, true, true); ?></h2>
      <p class="count-text ">次访问</p>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe60d;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php echo floor((time()-strtotime("2014-06-27"))/86400);?>" data-speed="1000"></h2>
      <p class="count-text ">天网站在线时间</p>
    </div>

    <div class="counter col_fourth end">
      <i class="iconfont">&#xe606;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php echo $count_tags = wp_count_terms('post_tag'); ?>" data-speed="1000"></h2>
      <p class="count-text ">个标签</p>
    </div>
	
	<div class="counter col_fourth">
      <i class="iconfont">&#xe612;</i>
	  <p class="count-text" style="padding-bottom: 10px">每一天最活跃的时间点</p>
      <h2 class="timer count-title" id="count-number" data-to="<?php
$rushours = $wpdb->get_col("SELECT HOUR(post_date) hour, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY HOUR ORDER BY posts DESC LIMIT 1");
foreach ( $rushours as $rushour ) {
echo $rushour;}
?>" data-speed="1000" style="display:inline"></h2><h2 class="count-title" style="display:inline">:00</h2>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe63c;</i>
	  <p class="count-text ">最活跃的年份</p>
      <h2 class="timer count-title" id="count-number" data-to="<?php
$rushyears = $wpdb->get_col("SELECT YEAR(post_date) year, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY YEAR ORDER BY posts DESC LIMIT 1");
$rushyearposts = $wpdb->get_col("SELECT YEAR(post_date) year, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY YEAR ORDER BY posts DESC LIMIT 1",1);
foreach ( $rushyears as $rushyear ) {
echo $rushyear;}
?>" data-speed="1000"></h2>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe600;</i>
	  <p class="count-text ">在这一年发布的微博总数</p>
      <h2 class="timer count-title" id="count-number" data-to="<?php foreach ( $rushyearposts as $rushyearpost ) {
echo $rushyearpost ;}?>" data-speed="1000"></h2>
    </div>

    <div class="counter col_fourth end">
      <i class="iconfont">&#xe60c;</i>
	  <p class="count-text ">评论总数</p>
      <h2 class="timer count-title" id="count-number" data-to="<?php $total_comments = get_comment_count(); echo $total_comments['approved'];?>" data-speed="1000"></h2>
    </div>
	
	<hr/>
	<div class="counter full">
      <i class="iconfont">&#xe61c;</i>最受欢迎的微博
	  <?php if (function_exists('get_most_viewed')): ?>
<?php get_most_viewed('post',5,40); ?>
<?php endif; ?>
    </div>
	<hr/>
	<div class="counter full">
	<i class="iconfont">&#xe636;</i>话题<br/>
	<?php wp_tag_cloud('smallest=8&largest=18&number=50&orderby=count&order=RAND'); ?>
	</div>
</div>
<a href="http://www.tcd88.com"><i class="iconfont">&#xe645;</i>返回</a>
<footer style="font-size:12px">
<p>KEEP MINUTES | 时光捕手  |  发现 记录时间点滴</p>
</footer>
<script src="https://cdn.bootcss.com/jquery/1.11.1/jquery.min.js"></script>
<script>$.fn.countTo=function(options){options=options||{};return $(this).each(function(){var settings=$.extend({},$.fn.countTo.defaults,{from:$(this).data("from"),to:$(this).data("to"),speed:$(this).data("speed"),refreshInterval:$(this).data("refresh-interval"),decimals:$(this).data("decimals")},options);var loops=Math.ceil(settings.speed/settings.refreshInterval),increment=(settings.to-settings.from)/loops;var self=this,$self=$(this),loopCount=0,value=settings.from,data=$self.data("countTo")||{};$self.data("countTo",data);if(data.interval){clearInterval(data.interval)}data.interval=setInterval(updateTimer,settings.refreshInterval);render(value);function updateTimer(){value+=increment;loopCount++;render(value);if(typeof(settings.onUpdate)=="function"){settings.onUpdate.call(self,value)}if(loopCount>=loops){$self.removeData("countTo");clearInterval(data.interval);value=settings.to;if(typeof(settings.onComplete)=="function"){settings.onComplete.call(self,value)}}}function render(value){var formattedValue=settings.formatter.call(self,value,settings);$self.html(formattedValue)}})};$.fn.countTo.defaults={from:0,to:0,speed:1000,refreshInterval:100,decimals:0,formatter:formatter,onUpdate:null,onComplete:null};function formatter(value,settings){return value.toFixed(settings.decimals)}$("#count-number").data("countToOptions",{formatter:function(value,options){return value.toFixed(options.decimals).replace(/\B(?=(?:\d{3})+(?!\d))/g,",")}});$(".timer").each(count);function count(options){var $this=$(this);options=$.extend({},options||{},$this.data("countToOptions")||{});$this.countTo(options)};</script>
</body></html>