﻿<?php
add_theme_support('post-thumbnails');
function time_since($older_date, $newer_date = false)
    {
    $chunks = array(
    //因为在24小时以外的我需要显示正常时间，所以这里用不到/年/月/周/天，需要的同学可以去掉以下注释符
    //array(60 * 60 * 24 * 365 , '年'),
    //array(60 * 60 * 24 * 30 , '月'),
    array(60 * 60 * 24 * 7, '周'),
    array(60 * 60 * 24 , '天'),
    array(60 * 60 , '小时'),
    array(60 , '分钟'),
    );
    $newer_date = ($newer_date == false) ? (time()+(60*60*get_settings("gmt_offset"))) : $newer_date;
    $since = $newer_date - $older_date;
    //当前时间与发布时间差，这里我取86400秒，即24小时
    if($since < 86400)
        {
        //显示时间的前半部分
        for ($i = 0, $j = count($chunks); $i < $j; $i++)
            {
            $seconds = $chunks[$i][0];
            $name = $chunks[$i][1];
            if (($count = floor($since / $seconds)) != 0)
                {
                break;
                }
            }
        $output = "$count{$name}";
        //显示时间的后半部分
        if ($i + 1 < $j)
            {
            $seconds2 = $chunks[$i + 1][0];
            $name2 = $chunks[$i + 1][1];
            if (($count2 = floor(($since - ($seconds * $count)) / $seconds2)) != 0)
                {
                $output .= "$count2{$name2}";
                }
            }
        return $output."前";
        //在24小时以外的时间显示格式
        }else{
            the_time('Y年n月d日 H:i:s');
            }
    }
?>
<?php
function keywords() {
$keywords = '';
if( is_single() ){
$terms = get_the_terms( get_the_ID(), 'post_tag' );
if ( is_wp_error( $terms ) )
return $terms;
if ( empty( $terms ) )
return false;
foreach ( $terms as $term ) {
$keywords .= $term->name;
$keywords .= ', ';
}
}
else {
$tags = get_tags('orderby=count&number=50&order=DESC');
foreach ($tags as $tag){
$keywords .= $tag->name;
$keywords .= ', ';
}
}
$keywords = substr($keywords, 0, strlen($keywords)-2);
echo $keywords;
}
?>
<?php
        add_theme_support('automatic-feed-links');
		register_nav_menus( array( 'header_menu' => 'Header Menu' ) );
		add_theme_support( 'post-formats', array( 'status', 'link', 'quote ' ) );
?>
<?php
function custom_excerpt_length( $length ) {
return 200;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
function get_tags_with_count( $post, $format = 'list', $before = '', $sep = '', $after = '' ) {
	$posttags = get_the_tags($post->ID, 'post_tag' );
	if ( !$posttags )
		return '';
	foreach ( $posttags as $tag ) {
		if ( $tag->count > 1 && !is_tag($tag->slug) ) {
			$tag_link = '<a href="' . get_tag_link( $tag ) . '" rel="tag">' . $tag->name . '</a>';
		} else {
			$tag_link = $tag->name;
		}
		if ( $format == 'list' )
			$tag_link = '<li>' . $tag_link . '</li>';
		$tag_links[] = $tag_link;
	}
	return apply_filters( 'tags_with_count', $before . join( $sep, $tag_links ) . $after, $post );
}
function tags_with_count( $format = 'list', $before = '', $sep = '', $after = '' ) {
	global $post;
	echo get_tags_with_count( $post, $format, $before, $sep, $after );
}
//QQMap
function geo_map($atts, $content=null) {
return '<img src="https://apis.map.qq.com/ws/staticmap/v2/?center='.$content.'&zoom=16&size=700*300&maptype=roadmap&markers=size:large|color:red|'.$content.'&key=OMLBZ-SYKC5-MPAIL-Q7UHR-4KDU5-FPF5U" width="700" height="300">';
}
add_shortcode('map', 'geo_map');
//gravatar
function get_https_avatar($avatar) {
	$avatar = str_replace(array("www.gravatar.com", "0.gravatar.com", "1.gravatar.com", "2.gravatar.com"), "secure.gravatar.com", $avatar);
	$avatar = str_replace("http", "https", $avatar);
	return $avatar;
}
add_filter('get_avatar', 'get_https_avatar');
?>