<?php get_header(); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div class="post rounded-corners-8px"><div class="avatar"><img src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/avatar.jpg" width="40" height="40"></div><div class="date-author-wrap"><div class="author"><?php the_author();?></div><div class="date"><?php if ( function_exists('time_since') ) { echo time_since(abs(strtotime($post->post_date_gmt . "GMT")), time()); } ?></div></div><div class="content"><?php the_excerpt() ?><?php tags_with_count( '', '#', ' #', ' ' ); ?></div><?php $address = get_post_meta($post->ID, 'geo_address', true); $venue = get_post_meta($post->ID, 'geo_venue', true); if ($address) {echo "<div class='geolocation'><span class='venue'>$venue</span>$address</div>";} ?></div>
<?php endwhile; ?>
<?php else : ?>
<!-- No Posts MSG -->
<div class="no-results-msg">
<p><?php _e('什么也没有找到。No results found! Please make sure all words are spelled correctly', 'keepminsm') ?></p>
</div>
<!-- END No Posts MSG -->
<?php endif; ?>
<?php get_footer(); ?>