<?php
/*
Template Name: Attachmentpage
*/
get_header(); 
	?>
<div class="post section rounded-corners-8px">
		<ul id="imglist">
<?php
  // set up or arguments for our custom query
  $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
  $query_args = array(
    'post_type' => 'post',
    's' => '<img',
    'posts_per_page' => 9,
    'paged' => $paged
  );
  // create a new instance of WP_Query
  $the_query = new WP_Query( $query_args );
?>

<?php if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post(); // run the loop ?>
  <li>
  <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php wpjam_post_thumbnail(array(220,220),$crop=1);?></a>
<p class="imgdisc"><?php echo the_title(); ?></p>
  </li>
<?php endwhile; ?>

<?php if ($the_query->max_num_pages > 1) { // check if the max number of pages is greater than 1  ?>
  <div class="navigation">
    <span class="nav-back">
      <?php echo get_next_posts_link( '', $the_query->max_num_pages ); // display older posts link ?>
    </span>
    <span class="nav-fwd">
      <?php echo get_previous_posts_link( '' );  ?>
    </span>
  </div>
<?php } ?>

<?php else: ?>
  <article>
    <h1>Sorry...</h1>
    <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
  </article>
<?php endif; ?>
</ul>
	</div> <!-- main -->

<?php get_footer(); ?>